<?php
/**
* Header Options.
*
* @package NewsInsights
*/

$newsinsights_default = newsinsights_get_default_theme_options();
$newsinsights_post_category_list = newsinsights_post_category_list();
$wp_customize->add_section( 'breaking_news_setting',
    array(
    'title'      => esc_html__( 'Breaking News Ticker Settings', 'newsinsights' ),
    'priority'   => 13,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_option_panel',
    )
);


$wp_customize->add_setting('ed_header_ticker_posts',
    array(
        'default' => $newsinsights_default['ed_header_ticker_posts'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsinsights_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_ticker_posts',
    array(
        'label' => esc_html__('Enable Ticker Posts', 'newsinsights'),
        'section' => 'breaking_news_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'ed_header_ticker_posts_title',
    array(
    'default'           => $newsinsights_default['ed_header_ticker_posts_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'ed_header_ticker_posts_title',
    array(
    'label'       => esc_html__( 'Ticker Section Title', 'newsinsights' ),
    'section'     => 'breaking_news_setting',
    'type'        => 'text',
    )
);


$wp_customize->add_setting( 'newsinsights_header_ticker_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'newsinsights_sanitize_select',
    )
);
$wp_customize->add_control( 'newsinsights_header_ticker_cat',
    array(
    'label'       => esc_html__( 'Ticker Posts Category', 'newsinsights' ),
    'section'     => 'breaking_news_setting',
    'type'        => 'select',
    'choices'     => $newsinsights_post_category_list,
    )
);

$wp_customize->add_setting('ed_ticker_slider_autoplay',
    array(
        'default' => $newsinsights_default['ed_ticker_slider_autoplay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsinsights_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_ticker_slider_autoplay',
    array(
        'label' => esc_html__('Enable Ticker Posts Autoplay', 'newsinsights'),
        'section' => 'breaking_news_setting',
        'type' => 'checkbox',
    )
);



$wp_customize->add_section( 'date_breaking_news_setting',
	array(
	'title'      => esc_html__( 'Header Extras (Date,  Clock,  Social icon)', 'newsinsights' ),
	'priority'   => 13,
	'capability' => 'edit_theme_options',
    'panel'      => 'theme_option_panel',
	)
);


$wp_customize->add_setting('ed_ticker_bar',
    array(
        'default' => $newsinsights_default['ed_ticker_bar'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsinsights_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_ticker_bar',
    array(
        'label' => esc_html__('Enable Ticker Bar', 'newsinsights'),
        'section' => 'date_breaking_news_setting',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('ed_ticker_bar_social_nav',
    array(
        'default' => $newsinsights_default['ed_ticker_bar_social_nav'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsinsights_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_ticker_bar_social_nav',
    array(
        'label' => esc_html__('Enable Social Nav', 'newsinsights'),
        'section' => 'date_breaking_news_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_ticker_bar_date',
    array(
        'default' => $newsinsights_default['ed_ticker_bar_date'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsinsights_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_ticker_bar_date',
    array(
        'label' => esc_html__('Display Date', 'newsinsights'),
        'section' => 'date_breaking_news_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_ticker_bar_time',
    array(
        'default' => $newsinsights_default['ed_ticker_bar_time'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsinsights_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_ticker_bar_time',
    array(
        'label' => esc_html__('Display Time', 'newsinsights'),
        'section' => 'date_breaking_news_setting',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting( 'ticker_date_format',
    array(
    'default'           => $newsinsights_default['ticker_date_format'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'ticker_date_format',
    array(
    'label'       => esc_html__( 'Ticker Date Format', 'newsinsights' ),
    'section'     => 'date_breaking_news_setting',
    'type'        => 'text',
    )
);
